//Source file: d:\\home\\diederich\\cvs\\jais\\src\\communication\\ConnectionStuffInterface.java
//Source file: d:\\home\\diederich\\jais\\src\\communication\\ConnectionStuffInterface.java

package jais.communication;


/**
 * <p>Title: ConnectionStuffInterface</p>
 * <p>Description: This is the interface which provides the world the needed
 * methods for client-sever communication </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p> </p>
 * @author Raul Zanzinger
 *
 */
public interface ConnectionStuffInterface
{

   /**
    * This method establishs the first connection to the server
    *
    * @roseuid 3CEB64DA0261
    *
    * @throws xCommunication
    */
   public void connectToServer() throws xCommunication;

   /**
    * This method establishs the possibilty to reconnect to the server.
    *
    * @roseuid 3CEB64DA029E
    *
    * @param f_playerNumber the which the user wants to reconnect the client/player
    *
    * @throws xCommunication
    *
    */
   public void reconnectToServer(int f_playerNumber) throws xCommunication;

   /**
    * This method provides the posiblity to disconnect the player from the server.
    * The player will be taken off the field.
    * The method uses sendMessageToServer() to send the bye signal to the server
    *
    * @roseuid 3CEB64DA02BC
    *
    * @throws xCommunication
    */
   public void disconnectFromServer() throws xCommunication;
}
