package jais.objects;

/**
 *
 * <p>Title: Class Ballinfo - where the ball is stored</p>
 * <p>Description: This class has the same members as ObjectInfo, but provides also methods </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p> </p>
 * @author Christian Traub, Stephan Diederich
 *
 */
public class BallInfo extends ObjectInfo
{
   /**
    * constructor only calls our daddys constructor, so everything from objectinfo is initialized
    */
   public BallInfo()
   {
    super();
   }

   /**
    * This method checks if this ball object is kickable by f_player
    * @param f_player The player we want to check for
    * @return true if ball is kickable by f_player, else false
    */
   public boolean isBallKickableBy(PlayerInfo f_player)
   {
    if (getDistanceTo(f_player.getAbsPosition()) < ServerConf.KICKABLE_MARGIN + (ServerConf.PLAYER_SIZE / 2 ) + (ServerConf.BALL_SIZE / 2))
        return true;
    else
        return false;
   }
}

