package jais.objects;

/**
 * <p>Title: ServerConf</p>
 * <p>Description: This class contains members where the infos of the InitialEvent are stored</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * @author Oliver Beck, Stephan Diederich
 */
public class ServerConf
{
    /* These are the variables set by Parser. They are directly given from the server */

    // server param
    public static double GOAL_WIDTH;

    public static double INERTIA_MOMENT;

    public static double PLAYER_SIZE;
    public static double PLAYER_DECAY;
    public static double PLAYER_RAND;
    public static double PLAYER_WEIGHT;
    public static double PLAYER_SPEED_MAX;
    public static double PLAYER_ACCEL_MAX;

    public static double STAMINA_MAX;
    public static double STAMINA_INC;

    public static double RECOVER_INIT;
    public static double RECOVER_DTHR;
    public static double RECOVER_MIN;
    public static double RECOVER_DEC;

    public static double EFFORT_INIT;
    public static double EFFORT_DTHR;
    public static double EFFORT_MIN;
    public static double EFFORT_DEC;
    public static double EFFORT_ITHR;
    public static double EFFORT_INC;

    public static double KICK_RAND;
    public static double TEAM_ACTUATOR_NOISE;
    public static double PRAND_FACTOR_L;
    public static double PRAND_FACTOR_R;
    public static double KICK_RAND_FACTOR_L;
    public static double KICK_RAND_FACTOR_R;

    public static double BALL_SIZE;
    public static double BALL_DECAY;
    public static double BALL_RAND;
    public static double BALL_WEIGHT;
    public static double BALL_SPEED_MAX;
    public static double BALL_ACCEL_MAX;

    public static double DASH_POWER_RATE;
    public static double KICK_POWER_RATE;

    public static double KICK_MARGIN;
    public static double CONTROL_RADIUS;
    public static double CONTROL_RADIUS_WIDTH;
    public static double MAXPOWER;
    public static double MINPOWER;
    public static double MAXMOMENT;
    public static double MINMOMENT;
    public static double MAX_NECK_MOMENT;
    public static double MIN_NECK_MOMENT;
    public static double MAX_NECK_ANGLE;
    public static double MIN_NECK_ANGLE;
    public static double VISIBLE_ANGLE;
    public static double VISIBLE_DISTANCE;

    public static double WIND_DIR;
    public static double WIND_FORCE;
    public static double WIND_ANGLE;
    public static double WIND_RAND;

    public static double KICKABLE_MARGIN;
    public static double CATCHABLE_AREA_L;
    public static double CATCHABLE_AREA_W;
    public static double CATCH_PROBABILITY;
    public static double GOALIE_MAX_MOVES;

    public static double CKICK_MARGIN;

    public static double OFFSIDE_ACTIVE_AREA_SIZE;

    public static double WIND_NONE;
    public static double WIND_RANDOM;

    public static double SAY_COACH_CNT_MAX;
    public static double SAY_COACH_MSG_SIZE;
    public static double CLANG_WIN_SIZE;
    public static double CLANG_DEFINE_WIN;
    public static double CLANG_META_WIN;
    public static double CLANG_ADVICE_WIN;
    public static double CLANG_INFO_WIN;
    public static double CLANG_MESS_DELAY;
    public static double CLANG_MESS_PER_CYCLE;

    public static double HALF_TIME;

    public static double SIMULATOR_STEP;
    public static double SEND_STEP;
    public static double RECV_STEP;
    public static double SENSE_BODY_STEP;
    public static double LCM_STEP;

    public static double SAY_MSG_SIZE;

    public static double HEAR_MAX;
    public static double HEAR_INC;
    public static double HEAR_DECAY;

    public static double CATCH_BAN_CYCLE;

    public static double SLOW_DOWN_FACTOR;

    public static int USE_OFFSIDE;
    public static int FORBID_KICK_OFF_OFFSIDE;
    public static double OFFSIDE_KICK_MARGIN;

    public static double AUDIO_CUT_DIST;

    public static double DIST_QSTEP;
    public static double LAND_QSTEP;
    public static double DIR_QSTEP;
    public static double DIST_QSTEP_L;
    public static double DIST_QSTEP_R;
    public static double LAND_QSTEP_L;
    public static double LAND_QSTEP_R;
    public static double DIR_QSTEP_L;
    public static double DIR_QSTEP_R;

    public static double COACH_MODE;
    public static double CWR_MODE;

    public static double OLD_HEAR;

    public static double SEND_VI_STEP;

    public static double START_GOAL_L;
    public static double START_GOAL_R;
    public static double FULLSTATE_L;
    public static double FULLSTATE_R;

    public static double DROP_TIME;

    // player param
    public static double PLAYER_TYPES;
    public static double SUBS_MAX;
    public static double PT_MAX;
    public static double PLAYER_SPEED_MAX_DELTA_MIN;
    public static double PLAYER_SPEED_MAX_DELTA_MAX;
    public static double STAMINA_INC_MAX_DELTA_FACTOR;
    public static double PLAYER_DECAY_DELTA_MIN;
    public static double PLAYER_DECAY_DELTA_MAX;
    public static double INERTIA_MOMENT_DELTA_FACTOR;
    public static double DASH_POWER_RATE_DELTA_MIN;
    public static double DASH_POWER_RATE_DELTA_MAX;
    public static double PLAYER_SIZE_DELTA_FACTOR;
    public static double KICKABLE_MARGIN_DELTA_MIN;
    public static double KICKABLE_MARGIN_DELTA_MAX;
    public static double KICK_RAND_DELTA_FACTOR;
    public static double EXTRA_STAMINA_DELTA_MIN;
    public static double EXTRA_STAMINA_DELTA_MAX;
    public static double EFFORT_MAX_DELTA_FACTOR;
    public static double EFFORT_MIN_DELTA_FACTOR;

    // player types
    public static int ID;
    public static double STAMINA_INC_MAX;
    public static double EXTRA_STAMINA;
    public static double EFFORT_MAX;

}

