package jais.player;
import jais.objects.PlayerInfo;

/**
 *
 * <p>Title: Player</p>
 * <p>Description: The Interface for the Player</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p> </p>
 * @author Stephan Diederich
 *
 */
public interface Player
{
  /**
   *With this method the KI is started at the beginning
   */
  public void startKI();

  /**
   * This method says our thread that there's something to do
   */
  public void onNewData();//this method synchronizes the update of visual infos

  /**
   *  This "actionListener" waits for our sync-Event and passes it to the ActionManager
   */
  public void onSenseBody(); //this method synchronizes the performing of sending messages to server

  /**
   *  this method stops our Thread
   */
  public void endTread();
}
