package jais.visualization;

/**
 * <p>Title: Visualization interface</p>
 * <p>Description: This is the interface for the world</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p> </p>
 * @author Raul Zanzinger
 *
 */

public interface VisualizationStuffInterface
{

   /**
    * This method creates a new window
    */
    public void createWindow();


   /**
    * This method starts the display thread
    */
    public void startDisplay();


    /**
     *This method stops the running thread
     */
    public void stopDisplay();


    /**
    * This method closes the created window
    */
    public void destroyWindow();


   /**
    * This method wakes up the slepping thread and updates the
    * the Visualization
    */
    public void updateDisplay();


    /**
     * This method
     */
    public void run();
}